/**
 * AGUA Copyright (C) 2023  Atix Labs
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

@import 'css/_general_styling.scss';
@import 'css/_variables.scss';

.coaAlert {
  @include respond(mobile) {
    justify-content: center;
    flex-wrap: wrap;
  }
  &__content {
    padding-block: 0.8rem;
    padding-inline: 1.2rem;

    &__message {
      @include primary-text(0.875rem, $white, 400);
    }
    &__highlightedText {
      @include primary-text(0.875rem, $white, 700);
      margin-right: 0.3rem;
    }
  }

  z-index: 1;
  display: flex;
  justify-content: space-between;
  align-items: center;
  box-shadow: 0 2px 14px rgba(0, 0, 0, 0.25);
  border: none;
  background: $coa-primary;

  &.--fixed {
    position: fixed;
    top: $header-height;
    left: 0;
    right: 0;
  }

  &.--yellow {
    background: $coa-yellow-100;
  }

  &.--blue {
    background: $coa-blue-100;
  }

  &.--green {
    background: $coa-green-aqua-100;
  }

  &.--orange {
    background: $coa-light-orange-200;
    border-radius: 59.412px;
    margin-top: 1.3125rem;
    margin-bottom: 1.9375rem;
    box-shadow: none;
    border: 2px solid $coa-orange-200;
    padding-block: 0;

    .coaAlert__content__message {
      color: $coa-orange-200;
      font-size: 1rem;
      font-weight: 600;
      line-height: 19px;
      letter-spacing: 0;
    }
  }

  &.--contentCentered {
    display: flex;
    justify-content: center;
  }

  .ant-alert-close-icon {
    position: static;
    i {
      color: $white;
      font-size: 1.1rem;
    }
  }
}
